Subject: RFC 4820 ERRATUM

From: Alfred Hönes <[email-masked]>
Date: Mon, 9 Apr 2007 20:03:00 +0200 (MESZ)

Hello,
after studying the recently published RFC 4820 (SCTP Padding
extensions) authored by you, I would like to pointing out a
serious inconsistency I found in the RFC text.

The first paragraph of Section 3 says:

   This chunk is used to pad an SCTP packet.  A PAD chunk can be used to
|  enlarge the packet by 4 to 65536 bytes in steps of 4 bytes.  An SCTP
   packet MAY contain multiple PAD chunks.
                                  ^
and the text below Figure 1 explains:

   Length: 2 bytes (unsigned integer)
      This value holds the length of the Padding Data plus 4.

Because a 2-byte unsigned integer can accept valiues ranging
from 0 to 65535 and it can be inferred from the above text that
`Length` should be divisible by 4, the maximum value possible
for `Length`, and hence the maximum padding size is  65532  !
                                                         ^
(In the spirit of the SCTP specification, I do not recommend to
 change the definition of `Length` allowing 0 to encode 65536.)

I strongly recommend to post an RFC Errata note correcting the
above paragraph to say:

   This chunk is used to pad an SCTP packet.  A PAD chunk can be used to
|  enlarge the packet by 4 to 65532 bytes in steps of 4 bytes.  An SCTP
   packet MAY contain multiple PAD chunks.
                                  ^

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+